net.sf.jasperreports.export

## Interface ReportExportConfiguration

- All Superinterfaces:
    CommonExportConfiguration
  All Known Subinterfaces:
    CsvMetadataReportConfiguration, CsvReportConfiguration, DocxReportConfiguration, Graphics2DReportConfiguration, HtmlReportConfiguration, JRHtmlReportConfiguration, JsonReportConfiguration, JxlMetadataReportConfiguration, JxlReportConfiguration, OdsReportConfiguration, OdtReportConfiguration, PdfReportConfiguration, PptxReportConfiguration, PrintServiceReportConfiguration, RtfReportConfiguration, TextReportConfiguration, XlsMetadataReportConfiguration, XlsReportConfiguration, XlsxReportConfiguration
  All Known Implementing Classes:
    AbstractXlsReportConfiguration, SimpleCsvMetadataReportConfiguration, SimpleCsvReportConfiguration, SimpleDocxReportConfiguration, SimpleGraphics2DReportConfiguration, SimpleHtmlReportConfiguration, SimpleJsonReportConfiguration, SimpleJxlMetadataReportConfiguration, SimpleJxlReportConfiguration, SimpleOdsReportConfiguration, SimpleOdtReportConfiguration, SimplePdfReportConfiguration, SimplePptxReportConfiguration, SimplePrintServiceReportConfiguration, SimpleReportExportConfiguration, SimpleRtfReportConfiguration, SimpleTextReportConfiguration, SimpleXlsMetadataReportConfiguration, SimpleXlsReportConfiguration, SimpleXlsxReportConfiguration

      public interface ReportExportConfiguration
      extends CommonExportConfiguration

  Instances of this class are used for configuring the behavior of exporters.

  see `Exporter.setConfiguration(ReportExportConfiguration)` see `ExporterInputItem.getConfiguration()`

  Version:
    $Id: ExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_IGNORE_PAGE_MARGINS` This property serves as default value for the `XlsReportConfiguration.isIgnorePageMargins()` and `HtmlReportConfiguration.isIgnorePageMargins()` exporter configuration settings.

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getEndPageIndex()` Returns an integer value representing the end index of the page range to be exported.
    `ExporterFilter` | `getExporterFilter()` Returns an instance of the `ExporterFilter` interface to be used by the exporter to filter the elements to be exported.
    `JRHyperlinkProducerFactory` | `getHyperlinkProducerFactory()` Returns a `JRHyperlinkProducerFactory` which should be used for custom hyperlink types during export.
    `java.lang.Integer` | `getOffsetX()` A setting that allows users to move the entire content of each page horizontally.
    `java.lang.Integer` | `getOffsetY()` A setting that allows users to move the entire content of each page vertically.
    `java.lang.Integer` | `getPageIndex()` Returns an integer value representing the index of the page to be exported.
    `JRExportProgressMonitor` | `getProgressMonitor()` Return a `JRExportProgressMonitor` instance for monitoring export status.
    `java.lang.Integer` | `getStartPageIndex()` Returns an integer value representing the start index of the page range to be exported.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_IGNORE_PAGE_MARGINS

          static final java.lang.String PROPERTY_IGNORE_PAGE_MARGINS

      This property serves as default value for the `XlsReportConfiguration.isIgnorePageMargins()` and `HtmlReportConfiguration.isIgnorePageMargins()` exporter configuration settings.

      The property itself defaults to `false`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### getStartPageIndex

          java.lang.Integer getStartPageIndex()

      Returns an integer value representing the start index of the page range to be exported. This is useful when only a range of pages is needed for export.

    - #### getEndPageIndex

          java.lang.Integer getEndPageIndex()

      Returns an integer value representing the end index of the page range to be exported. This is useful when only a range of pages is needed for export.

    - #### getPageIndex

          java.lang.Integer getPageIndex()

      Returns an integer value representing the index of the page to be exported. This is useful when only one page of the entire report is needed for export.

    - #### getProgressMonitor

          JRExportProgressMonitor getProgressMonitor()

      Return a `JRExportProgressMonitor` instance for monitoring export status. This is useful for users who need to be notified after each page is exported (a GUI tool that shows a progress bar might need this feature).

    - #### getExporterFilter

          ExporterFilter getExporterFilter()

      Returns an instance of the `ExporterFilter` interface to be used by the exporter to filter the elements to be exported.

    - #### getOffsetX

          java.lang.Integer getOffsetX()

      A setting that allows users to move the entire content of each page horizontally. It is mostly useful for printing, when the report data does not fit inside the page margins.

    - #### getOffsetY

          java.lang.Integer getOffsetY()

      A setting that allows users to move the entire content of each page vertically. It is mostly useful for printing, when the report data does not fit inside the page margins.

    - #### getHyperlinkProducerFactory

          JRHyperlinkProducerFactory getHyperlinkProducerFactory()

      Returns a `JRHyperlinkProducerFactory` which should be used for custom hyperlink types during export.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com